org.apache.felix.ipojo

## Interface Pojo

    public interface Pojo

Interface implemented by each manipulated class. This interface allows getting the component instance from the object.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`ComponentInstance` `getComponentInstance()` Gets the instance container which creates the current object.

### Method Detail

#### getComponentInstance

    ComponentInstance getComponentInstance()

Gets the instance container which creates the current object.

Returns:
  the component instance which creates this object.